RagTime5GraphInternal::Shape Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
RagTime5GraphInternal::Shape Struct Reference

Internal: the shape of a RagTime5Graph. More...

## Public Types
enum | Type { S_Line, S_Rect, S_RectOval, S_Circle, S_Pie, S_Arc, S_Polygon, S_Spline, S_RegularPoly, S_TextBox, S_Group, S_Unknown }
| the different shape More...

## Public Member Functions
| Shape ()
| constructor More...
MWAWBox2f | getBdBox () const
| return the shape bdbox More...

## Public Attributes
int | m_id
| the shape id More...
int | m_parentId
| the shape parent id More...
int | m_linkId
| the link to a zone id More...
int | m_partId
| the link part id More...
Type | m_type
| the shape type More...
MWAWBox2f | m_dimension
| the dimension More...
MWAWGraphicShape | m_shape
| the graphic shape More...
std::vector< int > | m_childIdList
| the child list (for group) More...
uint32_t | m_flags
| the shape flag More...
int | m_borderId
| the border id More...
int | m_graphicId
| the graphic id More...
int | m_transformId
| the transformation id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| operator<< More...

## Detailed Description

Internal: the shape of a RagTime5Graph.

## Member Enumeration Documentation

## ◆ Type

enum RagTime5GraphInternal::Shape::Type

the different shape

Enumerator
S_Line |
S_Rect |
S_RectOval |
S_Circle |
S_Pie |
S_Arc |
S_Polygon |
S_Spline |
S_RegularPoly |
S_TextBox |
S_Group |
S_Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

RagTime5GraphInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f RagTime5GraphInternal::Shape::getBdBox | ( |  | ) | const
| inline

return the shape bdbox

Referenced by RagTime5Graph::send().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_borderId

int RagTime5GraphInternal::Shape::m_borderId

the border id

Referenced by RagTime5GraphInternal::operator<<(), and RagTime5Graph::send().

## ◆ m_childIdList

std::vector<int> RagTime5GraphInternal::Shape::m_childIdList

the child list (for group)

Referenced by RagTime5Graph::checkGraphicCluster(), RagTime5GraphInternal::operator<<(), and RagTime5Graph::send().

## ◆ m_dimension

MWAWBox2f RagTime5GraphInternal::Shape::m_dimension

the dimension

Referenced by getBdBox(), and RagTime5GraphInternal::operator<<().

## ◆ m_extra

std::string RagTime5GraphInternal::Shape::m_extra

extra data

Referenced by RagTime5GraphInternal::operator<<().

## ◆ m_flags

uint32_t RagTime5GraphInternal::Shape::m_flags

the shape flag

Referenced by RagTime5GraphInternal::operator<<(), and RagTime5Graph::send().

## ◆ m_graphicId

int RagTime5GraphInternal::Shape::m_graphicId

the graphic id

Referenced by RagTime5GraphInternal::operator<<(), and RagTime5Graph::send().

## ◆ m_id

int RagTime5GraphInternal::Shape::m_id

the shape id

Referenced by RagTime5GraphInternal::operator<<().

## ◆ m_linkId

int RagTime5GraphInternal::Shape::m_linkId

the link to a zone id

Referenced by RagTime5GraphInternal::operator<<(), and RagTime5Graph::send().

## ◆ m_parentId

int RagTime5GraphInternal::Shape::m_parentId

the shape parent id

Referenced by RagTime5Graph::checkGraphicCluster(), and RagTime5GraphInternal::operator<<().

## ◆ m_partId

int RagTime5GraphInternal::Shape::m_partId

the link part id

Referenced by RagTime5GraphInternal::operator<<(), and RagTime5Graph::send().

## ◆ m_shape

MWAWGraphicShape RagTime5GraphInternal::Shape::m_shape

the graphic shape

Referenced by getBdBox(), and RagTime5Graph::send().

## ◆ m_transformId

int RagTime5GraphInternal::Shape::m_transformId

the transformation id

Referenced by RagTime5GraphInternal::operator<<().

## ◆ m_type

Type RagTime5GraphInternal::Shape::m_type

the shape type

Referenced by RagTime5Graph::checkGraphicCluster(), getBdBox(), RagTime5GraphInternal::operator<<(), and RagTime5Graph::send().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx